EDIT - feature request #8475

Adapt applicable state detail view elements to FeatureState
08/16/2019 03:08 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

Related issues:

Related to EDIT - feature request #8441: Add FeatureState class Closed

Associated revisions

Revision 593915d2 - 08/16/2019 03:09 PM - Patrick Plitzner

ref #8475 First (unstable) implementation of FeatureState details

Revision cf3d9f76 - 08/16/2019 05:29 PM - Patrick Plitzner

ref #8475 Create FeatureState in wizard dialog

Revision 719ac7ab - 08/19/2019 02:30 PM - Patrick Plitzner

ref #8475 Add applicability detail element to character details view

Revision e9af789c - 08/19/2019 03:18 PM - Patrick Plitzner

ref #8475 Filter available feature to only parent features

Revision aa312f10 - 08/23/2019 12:30 PM - Patrick Plitzner
ref #8475 Enhance FeatureStateWizard

e Pre-select single parent feature if exists
o filter out features without supported categorical states

Revision 570b874c - 08/23/2019 02:57 PM - Patrick Plitzner

ref #8475 Only enable details view for feature and character term nodes

Revision 11f52a90 - 08/23/2019 03:49 PM - Patrick Plitzner

ref #8475 Remove not needed super method

Revision 48a40f35 - 08/23/2019 06:20 PM - Patrick Plitzner

ref #8475 Use feature selection dialog in feature state wizard

Revision 5801fcdb - 08/28/2019 09:52 AM - Patrick Plitzner
ref #8475 Update Finish button after state selection

Revision e8617cf0 - 08/28/2019 09:59 AM - Patrick Plitzner

ref #8475 Remove empty element after first feature selection

Revision edf56664 - 08/28/2019 02:54 PM - Patrick Plitzner

ref #8475 Remove empty element when single parent is selected

History

#1 - 08/16/2019 03:08 PM - Patrick Plitzner
- Related to feature request #8441: Add FeatureState class added

#2 - 08/19/2019 03:19 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 50

#3 - 08/19/2019 03:21 PM - Patrick Plitzner

Added applicable detail elements to TermNode details view. Available features are filtered to only contain parent feature i.e. features of the parent
nodes. After selecting a feature the state combo box is filled with its states. Not yet tested on nightly.

#4 - 08/23/2019 10:02 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

In this case we do not need an "empty" choice for the dropdowns. A FeatureState always needs to have both, feature and state. If not it needs to be
completely deleted, which can be done in Details view.

Also, if there is only 1 parent feature we could prefill the "Parent feature" field.
And we could filter out those features which do not support categorical data and/or which do not have supported states/state vocabularies.
All this is advanced handling so we can move it to new ticket if not straight forward to implement.

#5 - 08/23/2019 10:06 AM - Andreas Miiller

| wonder if we could reduce the availability of "Inapplicablelf" and "OnlyApplicablelF" to term nodes of term type "Feature" and subtypes (Character"
only.

To me it looks like it does not make sence to have them elsewhere.

We could try to handle this on model level by having a sub type FeatureNode which inherits from TermNode, by maybe it is easier to handle this via
Ul and maybe also via strict validations (model level).

Is it possible to implement this check still for this release? Not 100% necessary but very nice to have because it prevents from having incorrect data
afterwards. | also could write the validators but probably don't have time today anymore.

#6 - 08/23/2019 10:07 AM - Andreas Miiller
- % Done changed from 50 to 80

In general this ticket can be closed as it works as expected.

#7 - 08/23/2019 02:59 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100
Andreas Muller wrote:
In this case we do not need an "empty" choice for the dropdowns. A FeatureState always needs to have both, feature and state. If not it needs to

be completely deleted, which can be done in Details view.

Fixed all the issues mentioned except the above, which | do not understand. @Andreas: Can you clarify what the problem is?

#8 - 08/23/2019 04:12 PM - Andreas Miiller
- Status changed from Closed to Feedback

Patrick Plitzner wrote:
Andreas Muller wrote:

In this case we do not need an "empty" choice for the dropdowns. A FeatureState always needs to have both, feature and state. If not it
needs to be completely deleted, which can be done in Details view.

Fixed all the issues mentioned except the above, which | do not understand. @Andreas: Can you clarify what the problem is?
The dropdowns in the dialog do show the list of features/states + an empty entry. This empty entry is not necessary. We do not allow an empty entry
for a FeatureState therefore the empty entry should be removed as it only creates problems when selecting the wanted feature/state.
Did you implement the other issues from note 47 If not please create a new ticket.

#9 - 08/23/2019 04:13 PM - Andreas Miiller
- % Done changed from 100 to 90

#10 - 08/28/2019 10:00 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

Removed empty element after first selection.

All issues should be fixed now.

#11 - 08/28/2019 01:27 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

For future a real freetext search might be preferable for the states in case there are >>10 states, but for now it is ok.

Please still adapt the feature search such that it does not show an empty record from the very beginning. Currently it does it only after a first selection
took place.

You may close the ticket then.

#12 - 08/28/2019 04:50 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 90 to 100
